Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.message
Class ActionProcessingPipeline

    java.lang.Object
      org.jboss.soa.esb.listeners.message.ActionProcessingPipeline

    public class ActionProcessingPipeline

extends java.lang.Object

Action Processing Pipeline.

Runs a list of action classes on a message

Since:
  Version 4.0
Author:
  schifest@heuristica.com.ar, kevin

Constructor Summary
`ActionProcessingPipeline(ConfigTree config)` public constructor

Method Summary
`void` | `destroy()` Handle the destruction of the pipeline
`void` | `initialise()` Handle the initialisation of the pipeline
`boolean` | `isTransactional()` Get the transactional flag for this pipeline.
`boolean` | `process(Message message)` Process the specified message.
`void` | `setTransactional(boolean transactional)` Set the transactional flag for this pipeline.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionProcessingPipeline

    public ActionProcessingPipeline(ConfigTree config)
                             throws ConfigurationException

  public constructor

  Parameters:
    `config` - The pipeline configuration.
  Throws:
    `ConfigurationException`

Method Detail

### initialise

    public void initialise()
                    throws ConfigurationException

  Handle the initialisation of the pipeline

  Throws:
    `ConfigurationException` - For errors during initialisation.

### destroy

    public void destroy()

  Handle the destruction of the pipeline

### process

    public boolean process(Message message)

  Process the specified message.

  Parameters:
    `message` - The current message.
  Returns:
    true if the processing was successful, false otherwise.

### setTransactional

    public void setTransactional(boolean transactional)

  Set the transactional flag for this pipeline.

  Parameters:
    `transactional` - true if running within a transaction, false otherwise.

### isTransactional

    public boolean isTransactional()

  Get the transactional flag for this pipeline.

  Returns:
    true if running within a transaction, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD